View Issue Details

IDProjectCategoryView StatusLast Update
0003320SketcherBugpublic2018-01-23 18:46
ReporternormandcAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003320: Rendering order not working with normal geometry when Sketch is fully constrained
DescriptionThe Rendering order widget works well when the sketch has remaining DOFs left. Placing normal geometry at the top of the list will display normal geometry over construction and external geometry. But as soon as the sketch is fully constrained, Normal geometry is rendered underneath construction and external geometry, no matter what the Rendering order is.
Steps To Reproduce1. Open provided file FC017_Sketcher_Render_Order_Bug_normandc1.fcstd
2. Edit Sketch001
3. Set Normal Geometry to be first in the Rendering order list
4. The left and top normal lines (Edge2 and Edge3) are hidden underneath the external and construction lines (ExternalEdge1, ExternalEdge2, Edge5-Construction).
5. Delete one of the dimensional constraints: the normal geometry is brought to the foreground.
Additional InformationBug detected in the french forum topic https://forum.freecadweb.org/viewtopic.php?p=210630#p210623

Tested with self-compiled version

OS: Ubuntu 16.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13062 (Git)
Build type: Unknown
Branch: master
Hash: f6825a2686d80b0976c3d1900a9f56ce3c9f7d91
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: French/Canada (fr_CA)
TagsNo tags attached.

Activities

normandc

2018-01-20 22:41

manager  

FC017_Sketcher_Render_Order_Bug_normandc1.fcstd (18,447 bytes)

abdullah

2018-01-23 16:00

manager   ~0010823

Probably the longest commit in the history of FreeCAD:
https://github.com/FreeCAD/FreeCAD/pull/1250

wmayer

2018-01-23 18:46

administrator   ~0010827

https://github.com/FreeCAD/FreeCAD/commit/c509ec5ded11385428e1a2d2e8a6e38cec8ab588

Issue History

Date Modified Username Field Change
2018-01-20 22:41 normandc New Issue
2018-01-20 22:41 normandc File Added: FC017_Sketcher_Render_Order_Bug_normandc1.fcstd
2018-01-22 16:19 abdullah Assigned To => abdullah
2018-01-22 16:19 abdullah Status new => assigned
2018-01-23 16:00 abdullah Note Added: 0010823
2018-01-23 18:46 wmayer Status assigned => closed
2018-01-23 18:46 wmayer Resolution open => fixed
2018-01-23 18:46 wmayer Fixed in Version => 0.17
2018-01-23 18:46 wmayer Note Added: 0010827